Upload a.hbc artifact (address computed and verified server-side,)
POST
/v1/modules
const url = 'https://testnet-rpc.necter.network/v1/modules';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"hbc_b64":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://testnet-rpc.necter.network/v1/modules \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "hbc_b64": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
hbc_b64
required
Base64 of the.hbc bytes (≤ 16 MiB decoded)
string
Example generated
{ "hbc_b64": "example"}Responses
Section titled “Responses”Deployed
Media typeapplication/json
object
manifest_address
required
string
name
required
string
language
required
string
functions
required
Array<string>
manifest
HBC manifest
object
key
additional properties
any
hbc_size
required
integer
stateless
No storage.* / hive.call imports (eligible as committee worker)
boolean
exec_count
integer
deployed_at
required
integer
Example generated
{ "manifest_address": "example", "name": "example", "language": "example", "functions": [ "example" ], "manifest": {}, "hbc_size": 1, "stateless": true, "uploader": "example", "exec_count": 1, "deployed_at": 1}Malformed request (bad_request, invalid_field)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}Missing/invalid credentials (unauthorized, session_expired, bad_signature)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}Authenticated but not allowed (forbidden, not_owner, not_enrolled, not_verified, scope_missing)
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}conflict, duplicate, already_exists, invalid_state
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}too_large
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}rate_limited
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}Headers
Section titled “Headers”Retry-After
integer